# MedicalCertificateClassicScannerConfiguration class

Annotations
  - @JsonSerializable(createFactory: false, includeIfNull: false, explicitToJson: true)

## Constructors

MedicalCertificateClassicScannerConfiguration.new({bool recognizePatientInfo = true, bool recognizeBarcode = true, bool captureHighResolutionImage = false})

## Properties

captureHighResolutionImage ↔ bool
  Make high-res snapshot of the image after first successful medical certificate detection and recognise medical certificate fields on it
  getter/setter pair
detectorType → DetectorType
  final
hashCode → int
  The hash code for this object.
  no setter inherited
recognizeBarcode ↔ bool
  Reading data from barcode, if it's present on document, could make data recognition more accurate. true if enabled.
  getter/setter pair
recognizePatientInfo ↔ bool
  Recognition of Patient Information block. true if enabled
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited